Skip to main content
PUT
/
api
/
webhooks
/
{id}
Update a webhook
curl --request PUT \
  --url https://operator.io/api/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "promptTemplate": "<string>",
  "enabled": true,
  "regenerateToken": true
}
'
{
  "webhook": {
    "id": "<string>",
    "name": "<string>",
    "promptTemplate": "<string>",
    "token": "<string>",
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (ck_live_...). Create one in Settings > API Keys.

Path Parameters

id
string
required

Body

application/json
name
string
promptTemplate
string
enabled
boolean
regenerateToken
boolean

Set to true to regenerate the trigger URL token.

Response

200 - application/json

Updated.

webhook
object